summaryrefslogtreecommitdiffstats
path: root/OvmfPkg/build.sh
diff options
context:
space:
mode:
authorjljusten <jljusten@6f19259b-4bc3-4df7-8a09-765794883524>2011-10-31 15:56:55 +0000
committerjljusten <jljusten@6f19259b-4bc3-4df7-8a09-765794883524>2011-10-31 15:56:55 +0000
commit8567a8ca77ef17c40af376da472a3b7224ce8756 (patch)
treeb107fc86c036d65b58317e6c2c8c7a8511e9a8e1 /OvmfPkg/build.sh
parentd75d04096d61c81a9854855e89420f5b119f44ad (diff)
downloadedk2-8567a8ca77ef17c40af376da472a3b7224ce8756.tar.gz
edk2-8567a8ca77ef17c40af376da472a3b7224ce8756.tar.bz2
edk2-8567a8ca77ef17c40af376da472a3b7224ce8756.zip
OvmfPkg/build.sh: Detect GCC 4.5 & 4.6
Detect GCC 4.5 & 4.6, and use GCC45 and GCC46 toolchains. Signed-off-by: jljusten git-svn-id: https://edk2.svn.sourceforge.net/svnroot/edk2/trunk/edk2@12614 6f19259b-4bc3-4df7-8a09-765794883524
Diffstat (limited to 'OvmfPkg/build.sh')
-rwxr-xr-xOvmfPkg/build.sh15
1 files changed, 13 insertions, 2 deletions
diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
index e107eeae86..498db6203d 100755
--- a/OvmfPkg/build.sh
+++ b/OvmfPkg/build.sh
@@ -67,8 +67,19 @@ case `uname` in
fi
;;
Linux*)
- TARGET_TOOLS=GCC44
- ;;
+ gcc_version=$(gcc -v 2>&1 | tail -1 | awk '{print $3}')
+ case $gcc_version in
+ 4.5.*)
+ TARGET_TOOLS=GCC45
+ ;;
+ 4.6.*)
+ TARGET_TOOLS=GCC46
+ ;;
+ *)
+ TARGET_TOOLS=GCC44
+ exit 1
+ ;;
+ esac
esac
#